ConlluSentence (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.formats.conllu, class: ConlluSentence

# Class ConlluSentence

java.lang.Object
opennlp.tools.formats.conllu.ConlluSentence

public class ConlluSentence extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConlluSentence(List<ConlluWordLine> wordLines, String sentenceIdComment, String textComment, boolean newDocument, String documentId, boolean newParagraph, String paragraphId, Map<Locale,String> textLang, String translit)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Optional<String>`
  `getDocumentId()`
  `Optional<String>`
  `getParagraphId()`
  `String`
  `getSentenceIdComment()`
  `String`
  `getTextComment()`
  `Optional<Map<Locale,String>>`
  `getTextLang()`
  `Optional<String>`
  `getTranslit()`
  `List<ConlluWordLine>`
  `getWordLines()`
  `boolean`
  `isNewDocument()`
  `boolean`
  `isNewParagraph()`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConlluSentence

    public ConlluSentence(List<ConlluWordLine> wordLines, String sentenceIdComment, String textComment, boolean newDocument, String documentId, boolean newParagraph, String paragraphId, Map<Locale,String> textLang, String translit)

- ## Method Details

  - ### getWordLines

    public List<ConlluWordLine> getWordLines()

  - ### getSentenceIdComment

    public String getSentenceIdComment()

  - ### getTextComment

    public String getTextComment()

  - ### isNewDocument

    public boolean isNewDocument()

  - ### getDocumentId

    public Optional<String> getDocumentId()

  - ### isNewParagraph

    public boolean isNewParagraph()

  - ### getParagraphId

    public Optional<String> getParagraphId()

  - ### getTextLang

    public Optional<Map<Locale,String>> getTextLang()

  - ### getTranslit

    public Optional<String> getTranslit()